Freeciv-3.1: pf_danger_node Struct Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Data Structures | Data Fields
pf_danger_node Struct Reference

## Data Structures

struct | pf_danger_pos

## Data Fields

signed int | cost
unsigned | extra_cost
unsigned | dir_to_here: 4
unsigned | status: 3
unsigned | move_scope: 3
unsigned | action: 2
unsigned | node_known_type: 2
unsigned | behavior: 2
unsigned | zoc_number: 2
bool | is_dangerous: 1
bool | waited: 1
unsigned short | extra_tile
struct pf_danger_node::pf_danger_pos * | danger_segment

## Detailed Description

Definition at line 946 of file path_finding.c.

## Field Documentation

## ◆ action

unsigned pf_danger_node::action

Definition at line 960 of file path_finding.c.

Referenced by pf_danger_map_iterate(), and pf_danger_node_init().

## ◆ behavior

unsigned pf_danger_node::behavior

Definition at line 962 of file path_finding.c.

Referenced by pf_danger_map_iterate(), pf_danger_map_iterate_until(), and pf_danger_node_init().

## ◆ cost

signed int pf_danger_node::cost

Definition at line 949 of file path_finding.c.

Referenced by pf_danger_map_construct_path(), pf_danger_map_create_segment(), pf_danger_map_fill_position(), pf_danger_map_iterate(), and pf_danger_map_new().

## ◆ danger_segment

struct pf_danger_node::pf_danger_pos * pf_danger_node::danger_segment

Referenced by pf_danger_map_construct_path(), pf_danger_map_create_segment(), pf_danger_map_destroy(), and pf_danger_map_iterate().

## ◆ dir_to_here

unsigned pf_danger_node::dir_to_here

Definition at line 952 of file path_finding.c.

Referenced by pf_danger_map_construct_path(), pf_danger_map_create_segment(), pf_danger_map_fill_position(), pf_danger_map_iterate(), and pf_danger_map_new().

## ◆ extra_cost

unsigned pf_danger_node::extra_cost

Definition at line 951 of file path_finding.c.

Referenced by pf_danger_map_construct_path(), pf_danger_map_create_segment(), pf_danger_map_fill_position(), pf_danger_map_iterate(), and pf_danger_map_new().

## ◆ extra_tile

unsigned short pf_danger_node::extra_tile

Definition at line 966 of file path_finding.c.

Referenced by pf_danger_map_iterate(), and pf_danger_node_init().

## ◆ is_dangerous

bool pf_danger_node::is_dangerous

Definition at line 964 of file path_finding.c.

Referenced by pf_danger_map_construct_path(), pf_danger_map_create_segment(), pf_danger_map_iterate(), pf_danger_map_iterate_until(), pf_danger_map_new(), and pf_danger_node_init().

## ◆ move_scope

unsigned pf_danger_node::move_scope

Definition at line 959 of file path_finding.c.

Referenced by pf_danger_map_iterate(), and pf_danger_node_init().

## ◆ node_known_type

unsigned pf_danger_node::node_known_type

Definition at line 961 of file path_finding.c.

Referenced by pf_danger_map_iterate(), and pf_danger_node_init().

## ◆ status

unsigned pf_danger_node::status

Definition at line 956 of file path_finding.c.

Referenced by pf_danger_map_construct_path(), pf_danger_map_fill_position(), pf_danger_map_iterate(), pf_danger_map_iterate_until(), pf_danger_map_new(), and pf_danger_node_init().

## ◆ waited

bool pf_danger_node::waited

Definition at line 965 of file path_finding.c.

Referenced by pf_danger_map_construct_path(), pf_danger_map_create_segment(), pf_danger_map_iterate(), and pf_danger_node_init().

## ◆ zoc_number

unsigned pf_danger_node::zoc_number

Definition at line 963 of file path_finding.c.

Referenced by pf_danger_map_iterate(), and pf_danger_node_init().